apt-get update bzw. upgrade funktionieren nicht mehr

Du kommst mit der Installation nicht voran oder willst noch was nachfragen? Schau auch in den "Tipps und Tricks"-Bereich.
Antworten
Benutzeravatar
Jogibär
Beiträge: 135
Registriert: 11.09.2002 22:43:37

apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von Jogibär » 13.07.2019 14:22:38

Hallo,

komisches Phänomen:
apt-get update spukt aus:
>>>>
Holen:1 http://ftp.de.debian.org/debian buster InRelease [118 kB]
Paketlisten werden gelesen... Fertig
N: Für das Depot »http://ftp.de.debian.org/debian buster InRelease« wurde der »Version«-Wert von »« in »10.0« geändert.
E: Für das Depot »http://ftp.de.debian.org/debian buster InRelease« wurde der »Suite«-Wert von »testing« in »stable« geändert.
N: Sie müssen dies explizit bestätigen, bevor Aktualisierungen von diesem Depot angewendet werden können. Lesen Sie die apt-secure(8)-Handbuchseite, wenn Sie weitere Informationen benötigen.
<<<<

Ich habe erstmal nur den Eintrag:
>>>deb http://ftp.de.debian.org/debian/ buster main non-free contrib
in der souces.list.

apt-get upgrade meldet folgendes:
>>>>
möchten Sie fortfahren? [J/n] j
Fehl:1 http://www.deb-multimedia.org buster/main amd64 libbasicusageenvironment1 amd64 2:2019.04.24-dmo1
404 Not Found [IP: 2001:41d0:1:c3c4::1 80]
Fehl:2 http://ftp.de.debian.org/debian buster/main amd64 wpasupplicant amd64 2:2.7+git20190128+0c1e29f-5
404 Not Found [IP: 141.76.2.4 80]
Fehl:3 http://www.deb-multimedia.org buster/main amd64 libgroupsock8 amd64 2:2019.04.24-dmo1
404 Not Found [IP: 2001:41d0:1:c3c4::1 80]
Fehl:4 http://www.deb-multimedia.org buster/main amd64 libusageenvironment3 amd64 2:2019.04.24-dmo1
404 Not Found [IP: 2001:41d0:1:c3c4::1 80]
E: Fehlschlag beim Holen von http://www.deb-multimedia.org/pool/main ... _amd64.deb 404 Not Found [IP: 2001:41d0:1:c3c4::1 80]
E: Fehlschlag beim Holen von http://www.deb-multimedia.org/pool/main ... _amd64.deb 404 Not Found [IP: 2001:41d0:1:c3c4::1 80]
E: Fehlschlag beim Holen von http://www.deb-multimedia.org/pool/main ... _amd64.deb 404 Not Found [IP: 2001:41d0:1:c3c4::1 80]
E: Fehlschlag beim Holen von http://ftp.de.debian.org/debian/pool/ma ... _amd64.deb 404 Not Found [IP: 141.76.2.4 80]
E: Einige Archive konnten nicht heruntergeladen werden; vielleicht »apt-get update« ausführen oder mit »--fix-missing« probieren?
<<<<

Das habe ich bei 2 Rechnern.
Weiß jemand, was die Ursache ist?

Bei man apt-secure steht eigentlich nur, daß man die Signaturprüfung abschalten soll,
was ich eigentlich nicht machen möchte.


Danke
Jogibär

TomL
Beiträge: 4427
Registriert: 24.07.2014 10:56:59

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von TomL » 13.07.2019 14:30:41

Mich irritiert das ständig wiederholte 404 Not Found [IP: 2001:41d0:1:c3c4::1 80], für IPv4 und IPv6.... kannst Du die gleichen von apt angezeigten Adressen anpingen? Blockiert da vielleicht eine Firewall?

Code: Alles auswählen

# ping -c 3 2001:41d0:1:c3c4::1
PING 2001:41d0:1:c3c4::1(2001:41d0:1:c3c4::1) 56 data bytes
64 bytes from 2001:41d0:1:c3c4::1: icmp_seq=1 ttl=54 time=33.6 ms
64 bytes from 2001:41d0:1:c3c4::1: icmp_seq=2 ttl=54 time=32.7 ms
64 bytes from 2001:41d0:1:c3c4::1: icmp_seq=3 ttl=54 time=32.9 ms
vg, Thomas

Benutzeravatar
Jogibär
Beiträge: 135
Registriert: 11.09.2002 22:43:37

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von Jogibär » 13.07.2019 14:35:20

Hallo,

kann ich anpingen:

14:25:26 michael: ~$ ping -c 3 2001:41d0:1:c3c4::1
PING 2001:41d0:1:c3c4::1(2001:41d0:1:c3c4::1) 56 data bytes
64 bytes from 2001:41d0:1:c3c4::1: icmp_seq=1 ttl=55 time=91.0 ms
64 bytes from 2001:41d0:1:c3c4::1: icmp_seq=2 ttl=55 time=83.1 ms
64 bytes from 2001:41d0:1:c3c4::1: icmp_seq=3 ttl=55 time=79.7 ms

--- 2001:41d0:1:c3c4::1 ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 4ms
rtt min/avg/max/mdev = 79.690/84.609/91.013/4.746 ms

ich habe mal in der sources.list das "buster" durch "stable" ersetzt.
Dann holt er sich erstmal wieder Pakete.
Hatte ich so noch nie; habe immer den Dist Name drin stehen gehabt.

PS: Das gemeckere in apt-update steht trotzdem immer noch drin:

Paketlisten werden gelesen... Fertig
E: Für das Depot »http://www.deb-multimedia.org stretch InRelease« wurde der »Suite«-Wert von »stable« in »oldstable« geändert.
N: Sie müssen dies explizit bestätigen, bevor Aktualisierungen von diesem Depot angewendet werden können. Lesen Sie die apt-secure(8)-Handbuchseite, wenn Sie weitere Informationen benötigen.
N: Für das Depot »http://www.deb-multimedia.org buster InRelease« wurde der »Version«-Wert von »0.0« in »10« geändert.
E: Für das Depot »http://www.deb-multimedia.org buster InRelease« wurde der »Suite«-Wert von »testing« in »stable« geändert.
N: Sie müssen dies explizit bestätigen, bevor Aktualisierungen von diesem Depot angewendet werden können. Lesen Sie die apt-secure(8)-Handbuchseite, wenn Sie weitere Informationen benötigen.
W: Während der Überprüfung der Signatur trat ein Fehler auf. Das Depot wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: http://deb.torproject.org/torproject.org stretch InRelease: Die folgenden Signaturen waren ungültig: EXPKEYSIG 74A941BA219EC810 deb.torproject.org archive signing key
W: Während der Überprüfung der Signatur trat ein Fehler auf. Das Depot wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: http://deb.torproject.org/torproject.org buster InRelease: Die folgenden Signaturen waren ungültig: EXPKEYSIG 74A941BA219EC810 deb.torproject.org archive signing key
E: Für das Depot »http://ftp.de.debian.org/debian stretch Release« wurde der »Suite«-Wert von »stable« in »oldstable« geändert.
N: Sie müssen dies explizit bestätigen, bevor Aktualisierungen von diesem Depot angewendet werden können. Lesen Sie die apt-secure(8)-Handbuchseite, wenn Sie weitere Informationen benötigen.


Jogibär

Benutzeravatar
niemand
Beiträge: 13158
Registriert: 18.07.2004 16:43:29

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von niemand » 13.07.2019 14:39:06

Jogibär hat geschrieben: ↑ zum Beitrag ↑
13.07.2019 14:22:38
Ich habe erstmal nur den Eintrag:
>>>deb http://ftp.de.debian.org/debian/ buster main non-free contrib
in der souces.list.

apt-get upgrade meldet folgendes:
>>>>
möchten Sie fortfahren? [J/n] j
Fehl:1 http://www.deb-multimedia.org buster/main amd64 libbasicusageenvironment1 amd64 2:2019.04.24-dmo1
404 Not Found [IP: 2001:41d0:1:c3c4::1 80]
Das passt nicht zusammen. Außerdem hast du offensichtlich noch weitere Fremdquellen eingebunden, etwa unter /etc/sources.list.d/ o.Ä.. Du solltest da erstmal ausmisten, bevor du weitermachst. Die angefragte Bestätigung ist übrigens bereits Inhalt einiger Threads.
ENOKEKS

Benutzeravatar
Jogibär
Beiträge: 135
Registriert: 11.09.2002 22:43:37

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von Jogibär » 13.07.2019 14:41:58

Hallo,

mein Fehler!
Das kommt davon, wenn man gleichzeitig an 2 Rechnern arbeitet.
Keine Fehlermeldung mehr bei apt-get update!

Nach anderen Threads habe ich schon gesucht... nix gefunden
Hast Du mal einen Link für mich?


Danke Jogibär

Benutzeravatar
niemand
Beiträge: 13158
Registriert: 18.07.2004 16:43:29

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von niemand » 13.07.2019 14:46:56

Jogibär hat geschrieben: ↑ zum Beitrag ↑
13.07.2019 14:41:58
Nach anderen Threads habe ich schon gesucht... nix gefunden
Hast Du mal einen Link für mich?
search.php?keywords=%22Sie+m%C3%BCssen+ ... &sr=topics
ENOKEKS

Benutzeravatar
willy4711
Beiträge: 2064
Registriert: 08.09.2018 16:51:16

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von willy4711 » 13.07.2019 14:48:04

Ratschlag . Alles auskommentiren oder löschen
dann

Code: Alles auswählen

deb http://deb.debian.org/debian/ buster main contrib non-free

deb http://deb.debian.org/debian/ buster-updates main contrib non-free

deb http://deb.debian.org/debian-security buster/updates main

deb http://www.deb-multimedia.org buster main non-free
Eintragen und gut ist

Ich glaube (=weiß es nicht genau) , dass bei Buster security noch drin ist. wenn Fehler ----> auskommentieren.

dann

Code: Alles auswählen

 apt update && apt full-upgrade
Eventuell: Siehe: http://www.deb-multimedia.org/
If apt-get can not find the new key, do that :

Code: Alles auswählen

wget http://www.deb-multimedia.org/pool/main/d/deb-multimedia-keyring/deb-multimedia-keyring_2016.8.1_all.deb

Code: Alles auswählen

dpkg -i deb-multimedia-keyring_2016.8.1_all.deb

Benutzeravatar
Jogibär
Beiträge: 135
Registriert: 11.09.2002 22:43:37

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von Jogibär » 13.07.2019 14:55:28

Hallo,

Danke an alle.
Problem gelöst.

Jogibär

Benutzeravatar
willy4711
Beiträge: 2064
Registriert: 08.09.2018 16:51:16

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von willy4711 » 13.07.2019 15:00:33

Jogibär hat geschrieben: ↑ zum Beitrag ↑
13.07.2019 14:55:28
Problem gelöst.
Wie ?
Lass uns doch bitte (auch für andere) an deinem Erfolg teilhaben. :wink:

Benutzeravatar
Jogibär
Beiträge: 135
Registriert: 11.09.2002 22:43:37

Re: apt-get update bzw. upgrade funktionieren nicht mehr

Beitrag von Jogibär » 13.07.2019 15:09:51

Hallo,

eigentlich habe ich nur die vorher genannten Vorschläge ausgeführt.
d.h. sources.list aktualisiert. -> statt ftp.de.debian.org nun deb.debian.org genutzt.

Jogibär

Antworten